=== doc/CMakeLists.txt ===
add_subdirectory(calligra)
if(SHOULD_BUILD_KEXI)
    add_subdirectory(kexi)
endif()
if(SHOULD_BUILD_STAGE)
    add_subdirectory(stage)
endif()
if(SHOULD_BUILD_SHEETS)
    add_subdirectory(sheets)
endif()
install(FILES   calligra.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
