=== braindump/plugins/CMakeLists.txt ===
if(QT_QTWEBKIT_FOUND)
  add_subdirectory(webshape)
endif()
add_subdirectory(stateshape)
add_subdirectory(drawingframe)
# add_subdirectory(quickstates)
