=== debian/changelog ===
calligra (1:2.9.7-0ubuntu12) xenial; urgency=medium

  * Rebuild against libmysqlclient20.

 -- Robie Basak <robie.basak@ubuntu.com>  Tue, 05 Apr 2016 12:16:47 +0000

calligra (1:2.9.7-0ubuntu11) xenial; urgency=medium

  * Disable vc support everywhere, makes the package ICE and vc itself is
    FTBFS. Can bring back once this is fixed.

 -- Iain Lane <iain@orangesquash.org.uk>  Fri, 11 Mar 2016 17:56:24 +0000

calligra (1:2.9.7-0ubuntu10) xenial; urgency=medium

  * No-change rebuild against new poppler

 -- Iain Lane <iain@orangesquash.org.uk>  Mon, 07 Mar 2016 16:23:18 +0000

calligra (1:2.9.7-0ubuntu9) xenial; urgency=medium

  * No-change rebuild against libqca2

 -- Iain Lane <iain@orangesquash.org.uk>  Fri, 15 Jan 2016 17:11:41 +0000

calligra (1:2.9.7-0ubuntu8) xenial; urgency=high

  * Drop vc-dev dependency on vc-dev too.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 08 Dec 2015 21:25:34 +0000

calligra (1:2.9.7-0ubuntu7) xenial; urgency=medium

  * Rebuild against new gsl SONAME change.

 -- Michael Terry <mterry@ubuntu.com>  Tue, 08 Dec 2015 13:40:58 -0500

calligra (1:2.9.7-0ubuntu6) xenial; urgency=medium

  * No-change rebuild against libpoppler57

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 23 Nov 2015 11:56:24 +1300

calligra (1:2.9.7-0ubuntu5) xenial; urgency=medium

  * Rebuild against new gsl. Update references to libgsl0-dev to libgsl-
    dev.

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 10 Nov 2015 15:04:00 +0000

calligra (1:2.9.7-0ubuntu4) xenial; urgency=medium

  * No-change rebuild against libpoppler56

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 30 Oct 2015 18:06:03 +0000

calligra (1:2.9.7-0ubuntu3) wily; urgency=medium

  * No-change rebuild against libetonyek-0.1-1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 13 Sep 2015 08:54:27 +0000

calligra (1:2.9.7-0ubuntu2) wily; urgency=medium

  * Remove pqxx kexi driver files, accidently added

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sun, 13 Sep 2015 00:03:00 +0100

calligra (1:2.9.7-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 04 Sep 2015 11:05:20 +0000

calligra (1:2.9.6-0ubuntu6) wily; urgency=medium

  * Remove build-dep on libmarble-dev, marble is now KF5 and remove
    kexi-map-form-widget and calligra-reports-map-element

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 12 Aug 2015 16:59:19 +0100
